メインコンテンツへスキップ
GET
/
v3
/
organizations
/
{org_id}
/
pr-reviews
最新の Devin Review のステータスを取得する
curl --request GET \
  --url https://api.devin.ai/v3/organizations/{org_id}/pr-reviews \
  --header 'Authorization: Bearer <token>'
{
  "commit_sha": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pr_number": 123,
  "repo_path": "<string>",
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt

Use this file to discover all available pages before exploring further.

権限

指定した組織で UseReviewManual 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

org_id
string
必須

組織 ID(プレフィックス: org-)

:

"org-abc123def456"

クエリパラメータ

pr_url
string
必須

検索対象のプルリクエスト/マージリクエストの完全な URL(例: https://github.com/owner/repo/pull/123)。

:

"https://github.com/owner/repo/pull/123"

commit_sha
string | null

検索対象のコミット SHA(完全な SHA または短いプレフィックス)。省略した場合は PR の現在のヘッドコミットが使用されます。

:

"abc123def4567890abc123def4567890abc123de"

レスポンス

成功レスポンス

commit_sha
string
必須

レビュー対象となる PR の HEAD コミットの SHA。

created_at
string<date-time>
必須

レビューが承認された日時。

pr_number
integer
必須

Pull/merge request 番号。

repo_path
string
必須

正規化された、ホスト接頭辞付きのリポジトリパス(例: github.com/owner/repo)。

status
enum<string>
必須

現在のレビュー状態。新たに承認されたレビューは pending で開始されます。

利用可能なオプション:
pending,
running,
completed,
errored